Ubuntu

[MASTER 0.7 regression] atheros/madwifi and orinoco drivers not supported

Reported by Alexander Sack on 2008-08-18
134
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned
Intrepid
High
Unassigned
network-manager (Ubuntu)
High
Tim Gardner
Intrepid
High
Tim Gardner

Bug Description

if you see this try to install linux-backport-modules-*

Binary package hint: network-manager

we dropped the driver tweaks for 0.7 upgrade. In intrepid we should either fix the drivers or resurrect the driver tweaks in a NetworkManager 0.7 compatible fashion.

Alexander Sack (asac) wrote :

milestoning for beta and taking ownership

Changed in network-manager:
assignee: nobody → asac
importance: Undecided → High
milestone: none → ubuntu-8.10-beta
status: New → Triaged
Alexander Sack (asac) wrote :

could anyone with atheros or orinoco drivers give an update how their wireless works with latest intrepid kernel + latest intrepid network-manager? Thanks!

On Wed, Sep 10, 2008 at 7:12 PM, Alexander Sack <email address hidden> wrote:
> could anyone with atheros or orinoco drivers give an update how their
> wireless works with latest intrepid kernel + latest intrepid network-
> manager? Thanks!
>

Not good ;) See bug 267761 for my example.

Daniel Hollocher (chogydan) wrote :

I think I am also experiencing this bug. I filed here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/269711
long story short, works with 27-2, but fails with 27-3.

Alexander Sack (asac) wrote :

Tim, could you clarify what the status on madwifi is from the kernel side? I need that info to know what to do here. Maybe also comment on orinoco?

Changed in network-manager:
assignee: asac → timg-tpi
Daniel Hollocher (chogydan) wrote :

just to clarify my previous comment, and update it in light of further testing. I'm running a wifi card with ath9k drivers. I'm able to connect to my wireless router without a hitch (so it seems). Obtaining an ipaddress is a problem.
dhclient fails on both -2 and -3
nm-applet (network-manager?) succeeds on -2 but fails on -3
wicd succeeds on both -2 and -3.

Looks like wicd is the winner!

Kasper J. (kasperj) wrote :

Jusrt a heads up. My driver seems to be "in use" and tested by the Ubuntu devs, but Networkmanager (applet) cannot find any signals/wireless locations. Are there any workarounds?

Dennis Dirdjaja (dcd-ditsch) wrote :

Using ath9k for an Airport (MacbookPro 3,1) on Intrepid. Network Manager connects and everything is fine, but from time to time it falls back with the syslog message:

NetworkManager: <info> (wlan0): supplicant connection state change: 7 -> 6
NetworkManager: <info> (wlan0): supplicant connection state change: 6 -> 7

Connection is crippled from then on as it seems to be physically still alive, but no packets are reaching their target destination. Reconnecting using Network Manager brings it back to work again. This behaviour is also described in duplicate bugs: bug #269987 and bug #252180

Daniel Hollocher (chogydan) wrote :

Just want to update, that the latest kernel update, 27-5 has my DWA-552 card working!! YAY! Thankyou thankyou! (this card uses the ath9k drivers)

Alexander Sack (asac) on 2008-10-06
Changed in linux:
assignee: nobody → timg-tpi
importance: Undecided → High
milestone: none → ubuntu-8.10
status: New → Triaged
Daniel Hollocher (chogydan) wrote :

Another update: I just got an update for network-manger today, and now the program is a fail. Under Wireless Networks, it says "device is unmanaged", is greyed out, and shows a disconnected icon. I'm still thankful that I can use dhclient, and /etc/interfaces to configure my network, but network manager is not working. Additionally, pidgin and firefox are acting as if I have no net connection. (dig, ping, and telnet work fine)

Everytime I start firefox, it starts in offline mode. (Meaning, I can take it out of offline mode, and it works fine, but then if I close it, and reopen, its back in offline mode. All in the same session.)

Pidgin seems to fail to connect. I've been waiting while I type up this bug report for pidgin to connect. I've already tested the irc server using telnet, and (I'm not experienced at that) it says hello, authenticate, you failed, goodbye. I also know that if I just disable and re-enable the account, it will just work. Its been a few minutes at this point.

Anyway, its like my GUI programs are being _told_ that there is no net connection, even though there is. I've been trying to kill nm-system-setti, to see if that is the offending program, but I can't!! It won't go away! It just comes right back.

daedius (richard-anaya) wrote :

I run a Macbook Pro. My wifi is detected ath9k, I can see networks, I can attempt to join them using WEP, but the key I give them does not function. I get two little green dots, then it times out.

Bastanteroma (bastanteroma) wrote :

The Hardware Drivers applet recognizes that my eee 900a has an atheros driver, and claims that it's activated, but network manager doesn't see any devices.

In Network Tools there is an unknown device, wmaster0.

Hope there's some signal in my added noise.

Steve Langasek (vorlon) on 2008-10-08
Changed in network-manager:
milestone: ubuntu-8.10-beta → ubuntu-8.10
Daniel Hollocher (chogydan) wrote :

I don't know if my comments help, but I can confirm that my last comment about NM not working probably doesn't have to do with the ath9k driver.

I talked with someone having the same problems, and that person was using gigabit wired ethernet.

Daniel (elenius) wrote :

I just upgraded to 8.10. My atheros WAS working at first, after I manually started nm-applet, but after a reboot, it can't even find the ath0 device.

I was using the proprietary atheros driver before, but it doesn't show up in jockey (and neither does the proprietary fglrx driver, which I have also used in the past).

I have all the updates as of 1 hour ago.

My wired Gigabit Ethernet is not showing up in the network manager and Firefox starts up in offline mode.
My ethernet is:
Oct 8 09:44:08 hnlwnh kernel: [ 6.425408] sky2 0000:03:00.0: v1.22 addr 0xfdafc000 irq 17 Yukon-2 EC Ultra rev 5

The network, however, is working.

On Mon, Oct 06, 2008 at 05:44:59PM -0000, danielhollocher wrote:
> Another update: I just got an update for network-manger today, and now
> the program is a fail. Under Wireless Networks, it says "device is
> unmanaged", is greyed out, and shows a disconnected icon. I'm still
> thankful that I can use dhclient, and /etc/interfaces to configure my
> network, but network manager is not working. Additionally, pidgin and
> firefox are acting as if I have no net connection. (dig, ping, and
> telnet work fine)

NetworkManager will set the device to unmanaged mode by default if you
have it configured in /etc/network/interfaces.

So either remove your configuration from there (NM should allow you to
do almost everything nowadays) or set NM in managed mode (e.g. in
/etc/NetworkManager/nm-system-settings.conf)

>
> Everytime I start firefox, it starts in offline mode. (Meaning, I can
> take it out of offline mode, and it works fine, but then if I close it,
> and reopen, its back in offline mode. All in the same session.)
>
> Pidgin seems to fail to connect. I've been waiting while I type up this
> bug report for pidgin to connect. I've already tested the irc server
> using telnet, and (I'm not experienced at that) it says hello,
> authenticate, you failed, goodbye. I also know that if I just disable
> and re-enable the account, it will just work. Its been a few minutes at
> this point.

Yes, thats a known issue of "unmanaged" mode and will be addressed
soon i hope.

 - Alexander

Alexander Sack (asac) wrote :

On Tue, Oct 07, 2008 at 02:09:59AM -0000, daedius wrote:
> I run a Macbook Pro. My wifi is detected ath9k, I can see networks, I
> can attempt to join them using WEP, but the key I give them does not
> function. I get two little green dots, then it times out.
>

Please open a new bug and remember to keep ath9k in the summary.

Attach the complete /var/log/syslog taken after reproducing this. Also
attach your complete /etc/network/interfaces.

 - Alexander

Alexander Sack (asac) wrote :

On Wed, Oct 08, 2008 at 03:22:21PM -0000, danielhollocher wrote:
> I don't know if my comments help, but I can confirm that my last comment
> about NM not working probably doesn't have to do with the ath9k driver.
>
> I talked with someone having the same problems, and that person was
> using gigabit wired ethernet.
>

Please open a new bug. At best use apport to file your bug. in that
way we get valuable information and we dont need another turnaround
asking you to attach this and that.

Thanks,

 - Alexander

Alexander Sack (asac) wrote :

On Wed, Oct 08, 2008 at 08:31:50PM -0000, Daniel wrote:
> I just upgraded to 8.10. My atheros WAS working at first, after I
> manually started nm-applet, but after a reboot, it can't even find the
> ath0 device.
>
> I was using the proprietary atheros driver before, but it doesn't show
> up in jockey (and neither does the proprietary fglrx driver, which I
> have also used in the past).
>

Ensure that you dont have any configuration (except maybe "lo") in
/etc/network/interfaces.

 - Alexander

Alexander Sack (asac) wrote :

On Wed, Oct 08, 2008 at 09:07:55PM -0000, Wilbur Harvey wrote:
> I have all the updates as of 1 hour ago.
>
> My wired Gigabit Ethernet is not showing up in the network manager and Firefox starts up in offline mode.
> My ethernet is:
> Oct 8 09:44:08 hnlwnh kernel: [ 6.425408] sky2 0000:03:00.0: v1.22 addr 0xfdafc000 irq 17 Yukon-2 EC Ultra rev 5
>
> The network, however, is working.
>

This means that your device is unmanaged. This happens when you have
it configured in /etc/network/interfaces and use NM in unmanaged mode.

I would suggest that you change to managed=true in
/etc/Network/nm-system-settings.conf.

If that doesnt help, try to remove your configurations from
/etc/network/interfaces and let NetworkManager manage your connection
in the good old way.

 - Alexander

Tim Gardner (timg-tpi) wrote :

Could you guys post some PCI identifiers and the output of dmesg? My testing indicates the standard Atheros variants work pretty well using ath5k, though it has issues in the face of RF noise. I hope to have some improvements in that regard in a linux-backports-modules package within the next few weeks.

I'm starting to think that my problem was a hardware problem. The device
didn't even show up in lspci, and also not in windows' device manager. A few
reboots later, it's back and working again.

Today it started asking for the password for my WPA, even though I've given
it before and it's supposed to be saved. When I enter it, it pops up the
dialog again after a while, even though it's the correct password. Again,
this may not be a linux/ubuntu problem though.

On Fri, Oct 10, 2008 at 7:08 AM, Tim Gardner <email address hidden>wrote:

> Could you guys post some PCI identifiers and the output of dmesg? My
> testing indicates the standard Atheros variants work pretty well using
> ath5k, though it has issues in the face of RF noise. I hope to have some
> improvements in that regard in a linux-backports-modules package within
> the next few weeks.
>
> --
> [MASTER 0.7 regression] atheros/madwifi and orinoco drivers not supported
> https://bugs.launchpad.net/bugs/259157
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Michael Rooney (mrooney) wrote :

On Fri, Oct 10, 2008 at 10:08 AM, Tim Gardner <email address hidden> wrote:
> Could you guys post some PCI identifiers and the output of dmesg? My
> testing indicates the standard Atheros variants work pretty well using
> ath5k, though it has issues in the face of RF noise. I hope to have some
> improvements in that regard in a linux-backports-modules package within
> the next few weeks.
>

Hi Tim! Check out my bug 267761 for dmesg and all sorts of delicious
output for my card that works fine in Hardy but not Intrepid.

Alexander Sack (asac) wrote :

anyone with an orinoco card? if so, and if NM really isn't working for you, please open a bug and point us here to it. Thanks!

Daniel Hollocher (chogydan) wrote :

Hey Tim,
Here is the quick and dirty version of the info you requested (maybe requested, Im using ath9k):
test@ubuntu:~$ lspci | grep Atheros
05:01.0 Network controller: Atheros Communications Inc. AR5416 802.11abgn Wireless PCI Adapter (rev 01)
test@ubuntu:~$ dmesg | pastebinit
http://pastebin.com/f23d31349

Kasper J. (kasperj) wrote :

Here's lspci:

03:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)

Ethernet works, wireless is "in use", but does not work/detects and networks.

Just installed latest updates. I'm looking forward for this to be fixed!

Daniel Hollocher (chogydan) wrote :

Tim:
here is a bug report with the info you are requesting:
https://bugs.launchpad.net/ubuntu/+bug/282263

Renate (yollywau) wrote :

I put my bug to this bugreport. ath5k was not booting because of wlan 2.6.27-7-generic. Now I did ath5k away from blacklist. Only ath_pci is blacklisted. In the moment, it works. Here my dmesg ...

dmesg | grep Atheros
[ 18.506014] ath5k phy0: Atheros AR2413 chip found (MAC: 0x78, PHY: 0x45)

dmesg

 18.209972] acer-wmi: Acer Laptop ACPI-WMI Extras
[ 18.293202] ath5k_pci 0000:06:02.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[ 18.293296] ath5k_pci 0000:06:02.0: registered as 'phy0'
[ 18.400755] phy0: Selected rate control algorithm 'pid'
[ 18.421711] HDA Intel 0000:00:14.2: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 18.506014] ath5k phy0: Atheros AR2413 chip found (MAC: 0x78, PHY: 0x45)

lspci -v
06:02.0 Ethernet controller: Atheros Communications Inc. AR2413 802.11bg NIC (rev 01)
 Subsystem: AMBIT Microsystem Corp. Device 0418
 Flags: bus master, medium devsel, latency 168, IRQ 22
 Memory at c0200000 (32-bit, non-prefetchable) [size=64K]
 Capabilities: <access denied>
 Kernel driver in use: ath5k_pci
 Kernel modules: ath_pci, ath5k

Rich (rincebrain) wrote :

ath5k + WPA Enterprise behaves very poorly for me in Intrepid (whenever the PEAP/network-manager/WPA enterprise bug is triggered, the ath5k driver, in about half of all occurrences, becomes unusable until after a hard power off). ath5k + non-WPA is great.

Alexander Sack (asac) wrote :

Rich, could you please reproduce the issues with WPA-EAP and attach the complete syslog taken after that?

lien_meat (liener-meat) wrote :

I'm running an AR242x (atheros 5006) in my Dell inspiron running ibex beta(all updates as of 30 mins ago). The ONLY problem I have with it is that when I resume from sleep, the interface will not come back up.
I"ve tried killing NetworkManager, bringing my interface down, bringing it back up and then starting NetworkManager again, but that isn't working. The device is detected, it just can't seem to connect. I'll post the log files. Resume @ aprox: Oct 15 22:21:43

lien_meat (liener-meat) wrote :
lien_meat (liener-meat) wrote :
lien_meat (liener-meat) wrote :
lien_meat (liener-meat) wrote :

I found something out that is interesting, and leads me to believe there might be an easy fix (although I definately don't know enough about network manager to say it is), but if I do "ifconfig wifi0 up" it will connect after a bit of time. So, I guess the ath0 interface is fine, but it's the wifi0 that wont come back up. That definately explains why it tries to connect but seems to get no response from the AP. If there is any way I can help, I'll be glad to. I don't have any driver programming experience, but I wouldn't mind trying to troubleshoot or anything.

Steve Netting (steve-netting) wrote :

I had a similar problem, wouldn't connect to wpa network. I then tried a combination of things, ultimately this has worked:-

Using ath5k driver (8.10 beta with latest updates).

Hardware Drivers (gui): none activated

/etc/networks contains:-

iface wlan0 inet static
address <my static ip>
netmask <my netmask>
gateway <my gw>
wpa-psk <my huge hex key - copied from another box>
wpa-driver wext
wpa-key-mgmt WPA-PSK
wpa-proto WPA
wpa-ssid <my essid>
auto wlan0

in /etc/NetworkManager/nm-system-settings.conf I then have:-

[ifupdown]
managed=true

Not sure how relevant the above (NetworkManager) is ... or if my manual editing of the interfaces file has done it. I'd have figured the interfaces file would be read at boot, and NetworkManager would then reconfigure the interface using it's own settings?

Regardless, it now instantly connects, good signal, good speed ... so the driver itself seems ok.

Steve Netting (steve-netting) wrote :

Forget the above. NetworkManager drove me nuts. Totally disabled NetworkManager, set wlan1 up manually as above, working fine and without any NetworkManager confusion/frustration. Forcing the driver to 54M seems to fail (possibly due to signal) but at 12M I'm getting 1.2Mb/sec which seems reasonable.

Steve Beattie (sbeattie) wrote :

I tried out an orinoco silver pcmcia card with the live i386 cd (build 20081020) and the orinoco card seems to work fine with Network Manager. I did notice that iwconfig was reporting only 2Mbit/s, though when I transferred some data, it bumped up to 11Mbit/s (orinoco silver is 802.11b only). Attached are dmesg output, lspci output (the orinoco doesn't show up there because it's a 16bit card; the ricoh pci->pcmcia bridge does), pccardctl ident output for the orinoco card, and iwconfig output.

Steve Beattie (sbeattie) wrote :
Steve Beattie (sbeattie) wrote :

pccardctl ident output:

  product info: "Lucent Technologies", "WaveLAN/IEEE", "Version 01.01", ""
  manfid: 0x0156, 0x0002
  function: 6 (network)

On Mon, Oct 20, 2008 at 02:00:54PM -0000, Steve Netting wrote:
> I had a similar problem, wouldn't connect to wpa network. I then tried
> a combination of things, ultimately this has worked:-
>
> Using ath5k driver (8.10 beta with latest updates).
>
> Hardware Drivers (gui): none activated
>
> /etc/networks contains:-
>
> iface wlan0 inet static
> address <my static ip>
> netmask <my netmask>
> gateway <my gw>
> wpa-psk <my huge hex key - copied from another box>

could you please post your value of netmask (except the psk obviosly)? Also
please test the clear-text psk (not the hex key).

NM should properly do it then i guess. If not, please start your
system with that configuration (verify that NM tried to connect to your
AP in syslog) ... wait a while and attach your complete syslog.

 - Alexander

Steve Langasek (vorlon) wrote :

From discussion with the kernel team on IRC, the kernel portion of this fix will unfortunately not be available in time for Ubuntu 8.10. Removing the milestone, and opening a release notes task.

Changed in linux:
milestone: ubuntu-8.10 → none

So this does not qualify as a showstopper bug, that would justify a delay in the release?!

Or is having no wireless on your notebook not as horrible as I think it is?

Steve Netting (steve-netting) wrote :

Weirdness. In an attempt to assist with this bug, I changed the PSA key from hex to clear text in /etc/network/interfaces and it still manually connected (ifdown/up wlan1). I then removed the interfaces file, attempted to undo my previous changes to the nm-system-settings.conf but found Network Manager (the gui) insisting the device was now unmanaged. To try and restore a sane state, I did an aptitude reinstall network-manager. On reboot, Network Manager is now successfully managing my WPA connection.
Would this have pulled down an update due to the aptitude reinstall network-manager? I can't get a version number out of network manager :(

Kernel: 2.6.27-7-generic #1 SMP
ath5k (also using mac80211, led_class and cfg80211)
Using XFCE gui

/etc/network/interfaces now doesn't exist

'nm-system-settings.conf now contains simply:-

[main]
plugins=ifupdown,keyfile

On first install /etc/interfaces did exist (but with only one or two lines - neither I recall being related to wlan1 - possibly loopback only?).
Could totally removing this file have made any difference?

I've since rebooted several times and on each Network Manager has done its magic.

Pete Graner (pgraner) wrote :

This bug will not make 8.10 GA and will be addressed as an update in the 8.10 maintenance cycle.

Changed in linux:
milestone: none → intrepid-updates
Steve Langasek (vorlon) wrote :

Release notes for the Atheros issue will be handled via bug #284354, which includes more information about the solution being taken for 8.10.

This bug's title also mentions Orinoco, but the only mention of Orinoco in the bug log is a successful test result by Steve Beattie. Is there any reason to mention Orinoco in the release notes? It doesn't look like it, given that there's no concrete evidence here that it's broken.

Steve Langasek (vorlon) wrote :

Per Alexander, there's no need to mention Orinoco in the release notes, closing this task

Changed in ubuntu-release-notes:
status: New → Invalid
Alexander Sack (asac) wrote :

the atheros issue will be solved in intrepid-updates. closing NM task.

Changed in network-manager:
milestone: ubuntu-8.10 → none
status: Triaged → Invalid
Amit Kucheria (amitk) wrote :

I have a old Intersil Corporation Prism 2.5 Wavelan chipset based card that I just plugged into my workstation. It doesn't work with NM and WPA networks. The hostap driver and my firmware versions (below) are supposed to support WPA on this card. But the password dialog keeps getting popped up repeatedly.

NICID: id=0x8013 v1.0.0 (PRISM II (2.5) Mini-PCI (SST parallel flash))
PRIID: id=0x0015 v1.1.1
STAID: id=0x001f v1.8.2 (station firmware)

uuklanger (uuklanger) wrote :

I was pointed to this issue from #273336.

In a nutshell, my wireless does not work on close start-up or event after many attempts. I have only tried this using NetworkManager.

The same issue is on two laptops. A T30 and a T41 Thinkpad. Both are using D-Link DWL-G650 PCMCIA wireless cards.

[ 29.296607] wifi0: Atheros 5212: mem=0xd4000000, irq=11

The T30 (mine) was upgraded using the network upgrade from 8.04 to 8.10. When using 8.04, Network Manager worked perfectly. No issues. The issue started after upgrading to 8.10.
The T41 was built using a clean install of 8.10.

Both are up-to-date as far as updates go. On both systems, the behavior is as follows.

1) cold boot computer
2) login as user from main login screen
3) Network Manager fires up automatically
    a) blue swirl spinner spins
    b) bottom dot lights up green
    c) top dot does not light up
    d) 15-20 seconds pass
    e) Dialog box opens asking for my WPA password for my selected network.
        i) Password is already pre-filled (in HEX I think)
        ii) there is a cancel and "Connect" button
    f) If I click "Connect"
        i) a-b happens again
        ii) this time the connection (usually) comes up and I get the blue bars.
4) If I logout and then back in my connection comes up
5) if I reboot, the behavior described in #3 repeats.

My Access point is a Linksys using WPA2 Personal.

In my /var/log/wpa_supplicant.log, I see the following messages...

-- SNIP --
Authentication with 00:13:10:11:50:xx timed out.
Trying to associate with SSID 'linksys'
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
Associated with 00:13:10:11:50:xx
WPA: Unsupported CCMP Group Cipher key length 32 (32).
RSN: Failed to configure GTK
Authentication with 00:13:10:11:50:xx timed out.
Trying to associate with SSID 'linksys'
CTRL-EVENT-DISCONNECTED - Disconnect event - remove keys
CTRL-EVENT-SCAN-RESULTS
CTRL-EVENT-SCAN-RESULTS
Trying to associate with 00:13:10:11:50:xx (SSID='linksys' freq=2422 MHz)
Associated with 00:13:10:11:50:xx
WPA: Key negotiation completed with 00:13:10:11:50:xx [PTK=CCMP GTK=TKIP]
CTRL-EVENT-CONNECTED - Connection to 00:13:10:11:50:xx completed (auth) [id=0 id_str=]
CTRL-EVENT-SCAN-RESULTS
-- SNIP --

I changed the name of my accesspoint and the last part of the MAC address. Beyond that it is a cut-paste. The first attempt was during my first login after cold bootup. The second attempt succeeded after I clicked on the "Connect" button on the dialog (see steps above).

Does the information above match with the target for a maintenance intrepid release?

Patrick Wagstrom (pridkett) wrote :

Just to add some more noise to the discussion. I have a Thinkpad t43p, which contains an Atheros card. According to dmesg here's the info:

[ 150.839980] wifi0: Atheros 5212: mem=0xa8400000, irq=21

This machine is utilized in several locations, some that require WPA and others that have no encryption. The machine has been running Ubuntu since betas of Dapper. In the Dapper days, Wifi was a pain -- reception was very poor and would frequently go in and out. But NM still worked to manage the interface. As long as I was really close to the access point, I could use Wifi. Sometime around Edgy or Feisty this got fixed so it worked completely, and everything was good.

Then, I upgraded to Intrepid -- and now I'm back in the Dapper days again. After resuming from sleep the machine does not properly activate Wifi0 again, although I see that ath0 is brought up again. Using a terminal and running "ifconfig wlan0 up" seems to fix this problem.

Once the network is up, I get one of two different problems:

1) if I'm on the unencrypted network, reception will be very poor and drop out the first time I connect. I then go and tell NM to disable then re-enable networking and it works fine again (or good enough, I haven't done anything scientific with this).

2) if I'm on the encrypted (WPA2-PSK) network, the machine will fail to connect to the network. A dialog comes up asking me for my WPA password (wha? didn't I tell NM to save this for a reason?). I click OK and then the machine is able to reconnect to the WPA network fine.

With whatever changes happened in NM or the Ahteros driver in Intrepid, this has gone from being a 3 second process that is automatic after waking up my laptop to a 1 minute+ action that requires my attention.

Furthermore, there's a serious usability issue in the fact that it prompts me for my network password again, I click "show password" to have it show the network password and it shows my the hexadecimal password. I use an ascii passphrase, so showing hexadecimal doesn't mean a lot to me here.

So, is there any workaround? I can't just setup static interfaces because I travel a lot and it would result in me taking even more time every time I unsleep my laptop.

Tomas 'tt' Krag (tt) wrote :

As per https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/294095
I cannot connect to WPA-PSK encrypted networks from my atheros card (using ath_pci) after upgrading to Intrepid. Ale relevant output is attached to the duplicate bug above.

Tomas 'tt' Krag (tt) wrote :

Update:

I installed linux-backports-modules-intrepid-generic and using the ath5k driver i can connect to WPA-PSK networks again, although i'm unsure if i need to blacklist the ath_pci driver first

I just want to add that ath9k on an AR5418 (MacBook Pro 3.1 "Santa Rosa")
actually works fine. I'm not sure creating this giant metabug was such a
good idea.

asac: are you actually keeping track of what is working and what isn't
working? We have no chance of tracking regressions otherwise...

Tomas 'tt' Krag (tt) wrote :

Another correction. Using ath5k only works sometimes. I'm not sure when and why, but it fails in some situations in a manner similar to ath_pci but with differetn error messages.

Also, i tried swapping mini-pci cards between my thinkpad x31 and my thinkpad x40, with very strange results. The x31 has an ipw2100 wireless card and runs intrepid also. It works fgine with the intel card, and also, in a very short test worked well with the atheros card. The x40 on the other hand, has had all kinfds of issues with the atheros card, and with the intel card failed to load firmware. So perhaps there's something else wrong with the installation on my x40.

Christiansen (happylinux) wrote :

Connecting to non-broadcasting AP's still impossible with Atheros.

As stated in bug #286165 I'm still unable to connect to an AP with hidden SSID in the new NM 0.7 in Interpid (last updateNov. 3. 2008) using an Atheros based Cisco AIR-CB21AG or Netgear WG511T PCMCIA card (Chipset AR5211). Unhidding the SSID om a test-AP too makes the the Atheros adapters work.

Checking with Kubuntu 8.04 seems NM 0.7 has (again) changed AP_SCAN mode from =1 to =2 causing the connection to fail. This has been a returning problem to NM, but was solved by Alexander Sack in both 7.10 and 8.04 with NM 0.6.x. Using the Linux-backport-module-intrepid doesn't seem to make change to this issue.

uuklanger (uuklanger) wrote :

I gave this a try and it worked. After turning on broadcast on my linksys wireless cable/dsl router I connect right away. I am using a D-LINK DWL-G650 cardbus card.

I really do not like having my AP visible. Is there a known bug tracking the fix of this at either the driver or NM level?

Does anyone have a recommendation for a replacement card that does not have this issue?

uuklanger (uuklanger) wrote :

I received an email from another user. "JC" suggested using http://wicd.sourceforge.net/ vs network-manager. After looking at the docs it is pretty easy to install. There is a debian repo for Ubuntu. Simply add the repo and a keyfile. Then install. Network Manager gets removed and replaced with wicd.

Getting it working just requires a restart of the system and the setup of your wireless ssid. Since mine is hidden, I needed to click on the "Network" drop down and add a hidden network. Now my wireless was setup. But could I connect on reboot? Nope... It behaved just like network manager (not in the good way) until I turned on "Automatically reconnect on connection loss" in the main preferences.

Now it tries and re-tries after boot and gets me in. The behavior feel more like network-manager under hardy (the version that worked with my wireless card).

I am hoping that network manager gets re-patched to behave like hardy. Until then, I will use wicd to get me through this trouble I am having.

J.P. (mackdieselx27) wrote :

I also recommend Wicd as a workaround solution to this issue as it solved what I thought I had 'fixed' the problem in #291848. With "Automatically reconnect" checked in the preferences, I watched as the connection would drop and Wicd would immediately reconnect without any hiccups to network activity. With Network Manager, I would have just gotten the spinning animation and a dialog box to enter the WAP passphrase. Keep in mind that instead of using madwifi you simply use wext.

A restart isn't necessary; just log out and log back in for the notification applet to appear.

Patrick Wagstrom (pridkett) wrote :

I'm not certain is this is entirely related to this bug or not. But I've also noticed that sometimes even after I properly bring wifi0 back up that I it will take many attempts to associated with the wireless network. This occurs even when I don't have to reinsert wifi0, but like the need to reinsert wifi0, it's unpredictable when this happens. Sometimes it connects no problem, sometimes it takes a dozen or so tries.

This happens both with open and encrypted networks (WPA).

Steve Beattie (sbeattie) wrote :

This bug was found in the Intrepid development cycle; removing regression-potential and marking as regression-release.

Fabio Bossi (fabio-bossi) wrote :

My atheros AR242x does not work on an updated Intrepid. I had to disable the default driver and install wicd in order to get it to work.

Stefan Bader (smb) on 2009-04-01
Changed in linux:
assignee: timg-tpi → nobody
assignee: timg-tpi → nobody
electhor (electhor) wrote :

I had issues with the atheros card at one stge, but followed the instructions from ubuntu geek - I think I used method 2. Since then my wireless has connected on every occasion, Have a look here - hope it helps others. http://www.ubuntugeek.com/how-to-get-atheros-ar5007eg-or-ar242x-wireless-cards-may-be-other-models-working-in-ubuntu-810-intrepid-ibex.html

Victor Mataré (matare) wrote :

Atheros Communications Inc. AR5212 802.11abg NIC [168c:1014] (rev 01)

does NOT work with ath_pci.ko from /lib/modules/2.6.27-11-generic/volatile.

works perfectly with /lib/modules/2.6.27-11-generic/ath5k.ko from linux-backports-modules-2.6.27-11-generic

# dpkg-query -S /lib/modules/2.6.27-11-generic/volatile/ath_pci.ko
dpkg: *root@wiese:/lib/modules/2.6.27-11-generic/volatile/ath_pci.ko* not found.

Dunno where the driver comes from, but it's used for this adapter per default in a fresh install. Maybe this should become a quirk.

ryuhayabusa (ppandpupu) wrote :

I am using Atheros AR5212 in PCMCIA of an ibm r31.

2.6.27-7
  *-network
       description: Wireless interface
       product: AR5212/AR5213 Multiprotocol MAC/baseband processor
       vendor: Atheros Communications Inc.
       physical id: 1
       bus info: pci@0000:02:00.0
       logical name: wifi0
       version: 01
       serial: 00:17:9a:02:5d:9e
       width: 32 bits
       clock: 33MHz
       capabilities: pm bus_master cap_list logical ethernet physical wireless
       configuration: broadcast=yes driver=ath_pci ip=192.168.1.48 latency=168 maxlatency=28 mingnt=10 module=ath_pci multicast=yes wireless=IEEE 802.11g

At home WEP and WPA personal no problems

At university WPA Enterprise PEAP, TKIP not working. Can get ip6 address but no route, no IP address.

I will try to switch to ath5k and see if it works.

ryuhayabusa (ppandpupu) wrote :

Tried ath5k 2.6.27-11 but unable to access wpa peap tkip mschapv2

I was using nm-applet but this is able to connect to wpa-psk at my home.

Alexander Sack (asac) on 2009-05-01
description: updated
ryuhayabusa (ppandpupu) wrote :

here's a syslog.

at first it tried to use eth0. i did ifconfig eth0 down and tried again.

wpa_supplicant -d output is available if anyone wants it.

i dunno if i'm helping.

tags: added: intrepid
Sergio Zanchetta (primes2h) wrote :

Thank you for reporting this bug to Ubuntu. Intrepid Ibex 8.10 reached EOL on 30 March 2010.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

Please feel free to report any other bugs you may find.
Thank you.

Changed in linux (Ubuntu Intrepid):
status: Triaged → Won't Fix
Sergio Zanchetta (primes2h) wrote :

I realized I had made a mistake, Intrepid Ibex 8.10 "will reach" EOL on 30 "APRIL" 2010.

Sorry for this.

Anyway, I think that one month doesn't make any difference now.

Guillaume Millet (guimillet) wrote :

Like ryuhayabusa, it doesn't work for WPA Enterprise PEAP, mschapv2. My card is an Atheros AR9285. I tried with linux-backports-modules-wireless-2.6.32-19-generic on Lucid, or with compat-wireless-2.6.33 of 2010-03-01, not better.

[ 1094.467322] wlan0: direct probe to AP 00:1a:1e:eb:8a:21 (try 1)
[ 1094.660105] wlan0: direct probe to AP 00:1a:1e:eb:8a:21 (try 2)
[ 1094.663747] wlan0: direct probe responded
[ 1094.663754] wlan0: authenticate with AP 00:1a:1e:eb:8a:21 (try 1)
[ 1094.665619] wlan0: authenticated
[ 1094.665668] wlan0: associate with AP 00:1a:1e:eb:8a:21 (try 1)
[ 1094.669132] wlan0: RX AssocResp from 00:1a:1e:eb:8a:21 (capab=0x431 status=0 aid=1)
[ 1094.669138] wlan0: associated
[ 1096.722630] wlan0: deauthenticating from 00:1a:1e:eb:8a:21 by local choice (reason=3)
[ 1096.967156] ath9k: Two wiphys trying to scan at the same time

adonet (jeroen-adolfse) wrote :

lspci

02:00.0 Network controller: Atheros Communications Inc. AR5008 Wireless Network Adapter (rev 01)

lshw

     *-network
          description: Wireless interface
          product: AR5008 Wireless Network Adapter
          vendor: Atheros Communications Inc.
          physical id: 0
          bus info: pci@0000:02:00.0
          logical name: wmaster0
          version: 01
          serial: 00:18:39:08:7d:c3
          width: 32 bits
          clock: 66MHz
          capabilities: bus_master cap_list logical ethernet physical wireless
          configuration: broadcast=yes driver=ath9k ip=192.168.2.100 latency=168 multicast=yes wireless=IEEE 802.11bgn
          resources: irq:9 memory:24000000-2400ff

I had to manage the connection in network-manager applet , remove /etc/network/interfaces and I got online. It took me a week to discover. But this posting helped me to do the trick.

Guillaume Millet (guimillet) wrote :

my problem was not related to the driver but to an unresolved bug of knetworkmanager (network-manager-kde on Kubuntu),
https://bugs.kde.org/show_bug.cgi?id=209673, which wrongly handles the certificate.

Changed in linux (Ubuntu):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.